Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WebServerMBean

All Superinterfaces:
  ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  VirtualHostMBean

public interface WebServerMBean
extends DeploymentMBean

This bean represents the configuration of virtual web server within a weblogic server. Note that a server may define multiple web servers to support virtual hosts.

This MBean represents a virtual host.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`Map` | `getCharsets()` Provides user defined mapping between internet and Java charset names.
`WebAppComponentMBean` | `getDefaultWebApp()` Provides the Servlet 2.3 Web Application that maps to the "default" servlet context (where ContextPath = "/").
`String` | `getDefaultWebAppContextRoot()` Returns the original context-root for the default Web application for this Web server.
`String` | `getFrontendHost()` The name of the host to which all redirected URLs will be sent.
`int` | `getFrontendHTTPPort()` The name of the HTTP port to which all redirected URLs will be sent.
`int` | `getFrontendHTTPSPort()` The name of the secure HTTP port to which all redirected URLs will be sent.
`int` | `getHttpsKeepAliveSecs()` The amount of time this server waits before closing an inactive HTTPS connection.
`int` | `getKeepAliveSecs()` The amount of time this server waits before closing an inactive HTTP connection.
`int` | `getLogFileBufferKBytes()` The maximum size (in kilobytes) of the buffer that stores HTTP requests.
`int` | `getLogFileCount()` Deprecated. 9.0.0.0 Use getWebServerLog().getFileCount()
`int` | `getLogFileFlushSecs()` The interval at which this server checks the size of the buffer that stores HTTP requests.
`String` | `getLogFileFormat()` Deprecated. 9.0.0.0 Use getWebServerLog().getLogFileFormat().
`String` | `getLogFileName()` Deprecated. 9.0.0.0 Use getWebServerLog().getFileName()
`int` | `getLogRotationPeriodMins()` Deprecated. 9.0.0.0 Use getWebServerLog().getFileTimeSpan() (hours)
`String` | `getLogRotationTimeBegin()` The start time for a time-based rotation sequence of the log file, in the format `MM-dd-yyyy-k:mm:ss`.
`String` | `getLogRotationType()` Deprecated. 9.0.0.0 Use getWebServerLog().getRotationType()
`boolean` | `getLogTimeInGMT()` Deprecated. 9.0.0.0 Use getWebServerLog().getLogTimeInGMT().
`int` | `getMaxLogFileSizeKBytes()` Deprecated. 9.0.0.0 Use getWebServerLog().getFileMinSize()
`int` | `getMaxPostSize()` The maximum post size this server allows for reading HTTP POST data in a servlet request.
`int` | `getMaxPostTimeSecs()` Max Post Time (in seconds) for reading HTTP POST data in a servlet request.
`int` | `getOverloadResponseCode()` Get the response code to be used when an application is overloaded.
`int` | `getPostTimeoutSecs()` The amount of time this server waits between receiving chunks of data in an HTTP POST data before it times out.
`Map` | `getURLResource()` Adds a URL connection factory resource into JNDI.
`WebServerLogMBean` | `getWebServerLog()` Returns the Log settings for the WebServer/VirtualHost.
`int` | `getWriteChunkBytes()` The default size of the blocks to be written to the network layer.
`boolean` | `isAcceptContextPathInGetRealPath()` Indicates whether this server allows the inclusion of the context path in the virtual path to `context.getRealPath()`.
`boolean` | `isAuthCookieEnabled()` Whether authcookie feature is enabled or not.
`boolean` | `isChunkedTransferDisabled()` Indicates whether the use of Chunk Transfer-Encoding in HTTP/1.1 is enabled.
`boolean` | `isDebugEnabled()` Deprecated. 9.0.0.0 use the ServerDebugMBean
`boolean` | `isKeepAliveEnabled()` Indicates whether there should be a persistent connection to this server.
`boolean` | `isLogFileLimitEnabled()` Deprecated. 9.0.0.0 Use getWebServerLog().getNumberOfFilesLimited()
`boolean` | `isLoggingEnabled()` Deprecated. 9.0.0.0 Use getWebServerLog().isLoggingEnabled().
`boolean` | `isSendServerHeaderEnabled()` Indicates whether this server name is sent with the HTTP response.
`boolean` | `isSingleSignonDisabled()` Indicates whether the singleSignonDisabled attribute is enabled
`boolean` | `isUseHeaderEncoding()`
`boolean` | `isUseHighestCompatibleHTTPVersion()` Enables use of the highest compatible HTTP protocol version-string in the response.
`boolean` | `isWAPEnabled()` Indicates whether the session ID should include JVM information.
`void` | `setAcceptContextPathInGetRealPath(boolean enable)` Sets the value of the isAcceptContextPathInGetRealPath attribute.
`void` | `setAuthCookieEnabled(boolean enable)` Sets the value of the isAuthCookieEnabled attribute.
`void` | `setCharsets(Map charsets)` Sets the value of the Charsets attribute.
`void` | `setChunkedTransferDisabled(boolean disable)` Sets the value of the isChunkedTransferDisabled attribute.
`void` | `setDefaultWebApp(WebAppComponentMBean defaultWebApp)` Sets the value of the defaultWebApp attribute.
`void` | `setDefaultWebAppContextRoot(String webappContextRoot)` Sets the value of the defaultWebAppContextRoot attribute.
`void` | `setFrontendHost(String hostName)` Sets the value of the frontendHost attribute.
`void` | `setFrontendHTTPPort(int httpPort)` Sets the value of the frontendHTTPPort attribute.
`void` | `setFrontendHTTPSPort(int httpsPort)` Sets the value of the frontendHTTPSPort attribute.
`void` | `setHttpsKeepAliveSecs(int secs)` Sets the value of the httpsKeepAliveSecs attribute.
`void` | `setKeepAliveEnabled(boolean enabled)` Sets the value of the keepAliveEnabled attribute.
`void` | `setKeepAliveSecs(int secs)` Sets the value of the keepAliveSecs attribute.
`void` | `setLogFileBufferKBytes(int kbytes)` Sets the value of the logFileBufferKBytes attribute.
`void` | `setLogFileCount(int value)` Deprecated. 9.0.0.0 Use getWebServerLog().setFileCount()
`void` | `setLogFileFlushSecs(int secs)` Sets the value of the logFileFlushSecs attribute.
`void` | `setLogFileFormat(String format)` Deprecated. 9.0.0.0 Use getWebServerLog().setLogFileFormat().
`void` | `setLogFileLimitEnabled(boolean value)` Deprecated. 9.0.0.0 Use getWebServerLog().setNumberOfFilesLimited()
`void` | `setLogFileName(String fileName)` Deprecated. 9.0.0.0 Use getWebServerLog().setFileName()
`void` | `setLoggingEnabled(boolean enable)` Deprecated. 9.0.0.0 Use getWebServerLog().setLoggingEnabled().
`void` | `setLogRotationPeriodMins(int mins)` Deprecated. 9.0.0.0 Use getWebServerLog().setFileTimeSpan() (hours)
`void` | `setLogRotationTimeBegin(String when)` Sets the value of the logRotationTimeBegin attribute.
`void` | `setLogRotationType(String type)` Deprecated. 9.0.0.0 Use getWebServerLog().setRotationType()
`void` | `setLogTimeInGMT(boolean useGMT)` Deprecated. 9.0.0.0 Use getWebServerLog().setLogTimeInGMT().
`void` | `setMaxLogFileSizeKBytes(int kbytes)` Deprecated. 9.0.0.0 Use getWebServerLog().setFileMinSize()
`void` | `setMaxPostSize(int bytes)` Sets the value of the maxPostSize attribute.
`void` | `setMaxPostTimeSecs(int secs)` Sets the value of the maxPostTimeSecs attribute.
`void` | `setOverloadResponseCode(int code)` Set the response code to be used when an application is overloaded.
`void` | `setPostTimeoutSecs(int secs)` Sets the value of the postTimeoutSecs attribute.
`void` | `setSendServerHeaderEnabled(boolean enabled)` Sets the value of the isSendServerHeaderEnabled attribute.
`void` | `setSingleSignonDisabled(boolean disable)` Disables SingleSignon in webapps
`void` | `setURLResource(Map resource)` Sets the value of the uRLResource attribute.
`void` | `setUseHeaderEncoding(boolean disable)` Sets the value of the isUseHeaderEncoding attribute.
`void` | `setUseHighestCompatibleHTTPVersion(boolean disable)` Sets the value of the isUseHighestCompatibleHTTPVersion attribute.
`void` | `setWAPEnabled(boolean enable)` Sets the value of the IsWAPEnabled attribute.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getCharsets

    public Map getCharsets()

  Provides user defined mapping between internet and Java charset names.

  Returns:
    The charsets value

### getDefaultWebApp

    public WebAppComponentMBean getDefaultWebApp()

  Provides the Servlet 2.3 Web Application that maps to the "default" servlet context (where ContextPath = "/"). This param has been deprecated 9.0.0.0 starting from 8.1 release. Set context-root="" instead in weblogic.xml or application.xml. Alternatively, use getDefaultWebAppDeployment()

  Gets the defaultWebApp attribute of the WebServerMBean object

  Returns:
    The defaultWebApp value
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getDefaultWebAppContextRoot

    public String getDefaultWebAppContextRoot()

  Returns the original context-root for the default Web application for this Web server. Alternatively, you can use the context-root attributes in application.xml or weblogic.xml to set a default Web application. The context-root for a default Web application is /. If "" (empty string) is specified, the Web server defaults to /.

  Returns:
    The defaultWebAppDeployment value
  Since:
    9.0.0.0
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getFrontendHost

    public String getFrontendHost()

  The name of the host to which all redirected URLs will be sent. If specified, WebLogic Server will use this value rather than the one in the HOST header.

  Sets the HTTP frontendHost Provides a method to ensure that the webapp will always have the correct HOST information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place.

  Returns:
    The frontendHost value
  Default value:
    null
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getFrontendHTTPPort

    public int getFrontendHTTPPort()

  The name of the HTTP port to which all redirected URLs will be sent. If specified, WebLogic Server will use this value rather than the one in the HOST header.

  Sets the frontendHTTPPort Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place.

  Returns:
    The frontendHTTPPort value
  Default value:
    0
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getFrontendHTTPSPort

    public int getFrontendHTTPSPort()

  The name of the secure HTTP port to which all redirected URLs will be sent. If specified, WebLogic Server will use this value rather than the one in the HOST header.

  Sets the frontendHTTPSPort Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place.

  Returns:
    The frontendHTTPSPort value
  Default value:
    0
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getHttpsKeepAliveSecs

    public int getHttpsKeepAliveSecs()

  The amount of time this server waits before closing an inactive HTTPS connection.

  Number of seconds to maintain HTTPS keep-alive before timing out the request.

  Returns:
    The httpsKeepAliveSecs value
  Default value:
    60
  Minimum value:
    30
  Maximum value:
    360
  A dynamic MBean attribute.

### getKeepAliveSecs

    public int getKeepAliveSecs()

  The amount of time this server waits before closing an inactive HTTP connection.

  Number of seconds to maintain HTTP keep-alive before timing out the request.

  Returns:
    The keepAliveSecs value
  Default value:
    30
  Minimum value:
    5
  Maximum value:
    300
  A dynamic MBean attribute.

### getLogFileBufferKBytes

    public int getLogFileBufferKBytes()

  The maximum size (in kilobytes) of the buffer that stores HTTP requests. When the buffer reaches this size, the server writes the data to the HTTP log file. Use the `LogFileFlushSecs` property to determine the frequency with which the server checks the size of the buffer.

  The maximum size of the buffer that stores HTTP requests.

  Gets the logFileBufferKBytes attribute of the WebServerMBean object

  Returns:
    The logFileBufferKBytes value

### getLogFileCount

    public int getLogFileCount()

  Deprecated. 9.0.0.0 Use getWebServerLog().getFileCount()

  The maximum number of log files that this server retains when it rotates the log. (This field is relevant only if you check the Limit Number of Retained Log Files box.)

  The maximum number of log files that the server creates when it rotates the log. Only valid if `LogFileLimitEnabled` is true and `LogRotationType` is either `Size` or `Time`.

  Returns:
  Default value:
    7
  Minimum value:
    1
  Maximum value:
    9999

### getLogFileFlushSecs

    public int getLogFileFlushSecs()

  The interval at which this server checks the size of the buffer that stores HTTP requests. When the buffer exceeds the size that is specified in the Log Buffer Size field, the server writes the data to the HTTP request log file.

  The interval (in seconds) at which the server checks the size of the buffer that stores HTTP requests. When the buffer exceeds the size that is specified in the `LogFileBufferKBytes` property, the server writes the data in the buffer to the HTTP request log file.

  Returns:
    The logFileFlushSecs value
  Default value:
    60
  Minimum value:
    1
  Maximum value:
    360
  A configurable MBean attribute.

### getLogFileFormat

    public String getLogFileFormat()

  Deprecated. 9.0.0.0 Use getWebServerLog().getLogFileFormat().

  The format of the HTTP log file. Both formats are defined by the W3C. With the `extended` log format, you use server directives in the log file to customize the information that the server records.

  Specifies the format of the HTTP log file. Both formats are defined by the W3C. With the extended log format, you use server directives in the log file to customize the information that the server records.

  Returns:
    The logFileFormat value
  Default value:
    "common"
  Legal values:
    "common","extended"
  A configurable MBean attribute.

### getLogFileName

    public String getLogFileName()

  Deprecated. 9.0.0.0 Use getWebServerLog().getFileName()

  The name of the file that stores HTTP requests. If the pathname is not absolute, the path is assumed to be relative to the root directory of the machine on which this server is running.

  The name of the file that stores the HTTP-request log. If the pathname is not absolute, the path is assumed to be relative to the server's root directory.

  This value is relevant only if HTTP logging is enabled.

  The current logfile is always the one whose name equals value of the this attribute. If you have enabled log file rotation, when the current file exceeds the size or time limit, it is renamed.

  To include a time and date stamp in the file name when the log file is rotated, add `java.text.SimpleDateFormat` variables to the file name. Surround each variable with percentage (`%`) characters.

  For example, if the file name is defined to be `access_%yyyy%_%MM%_%dd%_%hh%_%mm%.log`, the log file will be named `access_yyyy_mm_dd_hh_mm.log`.

  When the log file is rotated, the rotated file name contains the date stamp. For example, if the log file is rotated on 2 April, 2003 at 10:05 AM, the log file that contains the old messages will be named `access_2003_04_02_10_05.log`.

  If you do not include a time and date stamp, the rotated log files are numbered in order of creation. For example, `access.log00007`.

  Returns:
    The logFileName value
  Default value:
    WebServerMBean.DEFAULT_LOG_FILE_NAME
  A configurable MBean attribute.

### getLogRotationPeriodMins

    public int getLogRotationPeriodMins()

  Deprecated. 9.0.0.0 Use getWebServerLog().getFileTimeSpan() (hours)

  The number of minutes at which this server saves old HTTP requests to another log file. This field is relevant only if you set Rotation Type to `date`.

  The interval (in minutes) at which the server saves old HTTP requests to another log file. This value is relevant only if you use the `date`-based rotation type.

  Returns:
    The logRotationPeriodMins value
  Default value:
    1440
  Minimum value:
    1
  Maximum value:
    2147483647
  A configurable MBean attribute.

### getLogRotationTimeBegin

    public String getLogRotationTimeBegin()

  The start time for a time-based rotation sequence of the log file, in the format `MM-dd-yyyy-k:mm:ss`. (This field is only relevant if you set Rotation Type to `date`.)

  Determines the start time for a time-based rotation sequence. At the time that this value specifies, the server renames the current log file. Thereafter, the server renames the log file at an interval that you specify in `LogRotationPeriodMins`.

  Use the following format: `MM-dd-yyyy-k:mm:ss` where

  - `MM`

    is the month as expressed in the Gregorian calendar

  - `dd`

    is the day of the month

  - `yyyy`

    is the year

  - `k`

    is the hour in a 24-hour format.

  - `mm`

    is the minute

  - `ss`

    is the second

  If the time that you specify has already past, then the server starts its file rotation immediately.

  By default, rotation starts 24 hours from the time that you restart the server instance.

  Returns:
    The logRotationTimeBegin value

### getLogRotationType

    public String getLogRotationType()

  Deprecated. 9.0.0.0 Use getWebServerLog().getRotationType()

  The criteria for moving old log messages to a separate file.

  Criteria for moving old HTTP requests to a separate log file:

  - `size`

    . When the log file reaches the size that you specify in `MaxLogFileSizeKBytes`, the server renames the file as `LogFileName.n`.

  - `date`

    . At each time interval that you specify in `LogRotationPeriodMin`, the server renames the file as `LogFileName.n`.

  After the server renames a file, subsequent messages accumulate in a new file with the name that you specified in `LogFileName`.

  Returns:
    The logRotationType value
  Default value:
    "size"
  Legal values:
    "size","date"
  A configurable MBean attribute.

### getLogTimeInGMT

    public boolean getLogTimeInGMT()

  Deprecated. 9.0.0.0 Use getWebServerLog().getLogTimeInGMT().

  Specifies whether the time stamps for HTTP log messages are in Greenwich Mean Time (GMT) regardless of the local time zone that the host computer specifies.

  Use this method to comply with the W3C specification for Extended Format Log Files. The specification states that all time stamps for Extended Format log entries be in GMT.

  This method applies only if you have specified the `extended` message format.

  Returns:
    The logTimeInGMT value
  Default value:
    false
  A configurable MBean attribute.

### getMaxLogFileSizeKBytes

    public int getMaxLogFileSizeKBytes()

  Deprecated. 9.0.0.0 Use getWebServerLog().getFileMinSize()

  The maximum size (in kilobytes) of the HTTP log file. After the log file reaches this size, the server renames it as `LogFileName.n`. A value of 0 indicates that the log file can grow indefinitely. (This field is relevant only if you set Rotation Type to `size`.)

  The size that triggers the server to move log messages to a separate file. After the log file reaches the specified size, the next time the server checks the file size, it will rename the current log file as `FileName.n` and create a new one to store subsequent messages.

  This property is relevant only if you choose to rotate files by `size`.

  Returns:
    The maxLogFileSizeKBytes value
  Default value:
    5000
  Minimum value:
    0
  A configurable MBean attribute.

### getMaxPostSize

    public int getMaxPostSize()

  The maximum post size this server allows for reading HTTP POST data in a servlet request. A value less than 0 indicates an unlimited size.

  Gets the maxPostSize attribute of the WebServerMBean object

  Returns:
    The maxPostSize value
  See Also:
    `WebAppContainerMBean.getMaxPostSize()`

### getMaxPostTimeSecs

    public int getMaxPostTimeSecs()

  Max Post Time (in seconds) for reading HTTP POST data in a servlet request. MaxPostTime < 0 means unlimited

  Gets the maxPostTimeSecs attribute of the WebServerMBean object

  Returns:
    The maxPostTimeSecs value
  See Also:
    `WebAppContainerMBean.getMaxPostTimeSecs()`

### getOverloadResponseCode

    public int getOverloadResponseCode()

  Get the response code to be used when an application is overloaded. An application can get overloaded when the number of pending requests has reached the max capacity specified in the WorkManager or when the server is low on memory. The low memory condition is determined using `OverloadProtectionMBean.getFreeMemoryPercentLowThreshold()`.

  See Also:
    `CapacityMBean`, `OverloadProtectionMBean`
  Default value:
    javax.servlet.http.HttpServletResponse.SC_SERVICE_UNAVAILABLE
  Minimum value:
    100
  Maximum value:
    599
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getPostTimeoutSecs

    public int getPostTimeoutSecs()

  The amount of time this server waits between receiving chunks of data in an HTTP POST data before it times out. (This is used to prevent denial-of-service attacks that attempt to overload the server with POST data.)

  Gets the postTimeoutSecs attribute of the WebServerMBean object

  Returns:
    The postTimeoutSecs value

### getURLResource

    public Map getURLResource()

  Adds a URL connection factory resource into JNDI.

  Returns:
    The uRLResource value

### getWebServerLog

    public WebServerLogMBean getWebServerLog()

  Returns the Log settings for the WebServer/VirtualHost.

  Returns:
    log

### getWriteChunkBytes

    public int getWriteChunkBytes()

  The default size of the blocks to be written to the network layer.

  Gets the writeChunkBytes attribute of the WebServerMBean object

  Returns:
    The writeChunkBytes value

### isAcceptContextPathInGetRealPath

    public boolean isAcceptContextPathInGetRealPath()

  Indicates whether this server allows the inclusion of the context path in the virtual path to `context.getRealPath()`. (If checked, you cannot use sub directories with the same name as `contextPath`). This is a compatibility switch that will be deprecated 9.0.0.0 in future releases.

  Gets the acceptContextPathInGetRealPath attribute of the WebServerMBean object

  Returns:
    The acceptContextPathInGetRealPath value

### isAuthCookieEnabled

    public boolean isAuthCookieEnabled()

  Whether authcookie feature is enabled or not.

  Returns:
    AuthCookieEnabled value

### isChunkedTransferDisabled

    public boolean isChunkedTransferDisabled()

  Indicates whether the use of Chunk Transfer-Encoding in HTTP/1.1 is enabled.

  Returns:
    The chunkedTransferDisabled value

### isDebugEnabled

    public boolean isDebugEnabled()

  Deprecated. 9.0.0.0 use the ServerDebugMBean

  Indicates whether the debugEnabled attribute is enabled.

  Returns:
    The debugEnabled value

### isKeepAliveEnabled

    public boolean isKeepAliveEnabled()

  Indicates whether there should be a persistent connection to this server. (This may improve the performance of your Web applications.)

  Gets the keepAliveEnabled attribute of the WebServerMBean object

  Returns:
    The keepAliveEnabled value

### isLogFileLimitEnabled

    public boolean isLogFileLimitEnabled()

  Deprecated. 9.0.0.0 Use getWebServerLog().getNumberOfFilesLimited()

  Indicates whether the number of files that this WebLogic Server retains to store old messages should be limited. After the server reaches this limit, it overwrites the oldest file.

  Indicates whether a server will limit the number of log files that it creates when it rotates the log. The limit is based on `getLogFileCount`.

  Returns:
    The logFileLimitEnabled value
  Default value:
    false

### isLoggingEnabled

    public boolean isLoggingEnabled()

  Deprecated. 9.0.0.0 Use getWebServerLog().isLoggingEnabled().

  Indicates whether this server logs HTTP requests. (The remaining fields on this page are relevant only if you check this box.)

  Gets the loggingEnabled attribute of the WebServerMBean object

  Returns:
    The loggingEnabled value

### isSendServerHeaderEnabled

    public boolean isSendServerHeaderEnabled()

  Indicates whether this server name is sent with the HTTP response. (This is useful for wireless applications where there is limited space for headers.)

  Indicates whether this server instance includes its name and WebLogic Server version number in HTTP response headers.

  Returns:
    The sendServerHeaderEnabled value

### isSingleSignonDisabled

    public boolean isSingleSignonDisabled()

  Indicates whether the singleSignonDisabled attribute is enabled

  Returns:
    The singleSignonDisabled value

### isUseHeaderEncoding

    public boolean isUseHeaderEncoding()

### isUseHighestCompatibleHTTPVersion

    public boolean isUseHighestCompatibleHTTPVersion()

  Enables use of the highest compatible HTTP protocol version-string in the response. E.g. HTTP spec suggests that HTTP/1.1 version-string should be used in response to a request using HTTP/1.0. This does not necessarily affect the response format.

  Returns:
    The useHighestCompatibleHTTPVersion value

### isWAPEnabled

    public boolean isWAPEnabled()

  Indicates whether the session ID should include JVM information. (Checking this box may be necessary when using URL rewriting with WAP devices that limit the size of the URL to 128 characters, and may also affect the use of replicated sessions in a cluster.) When this box is selected, the default size of the URL will be set at 52 characters, and it will not contain any special characters.

  Gets the WAPEnabled attribute of the WebServerMBean object

  Returns:
    The WAPEnabled value
  See Also:
    `WebAppContainerMBean.isWAPEnabled()`

### setAcceptContextPathInGetRealPath

    public void setAcceptContextPathInGetRealPath(boolean enable)

  Sets the value of the isAcceptContextPathInGetRealPath attribute.

  Beginning with this release inclusion of the contextPath in the virtualPath to the context.getRealPath() will not be allowed as it breaks the case when the subdirectories have the same name as contextPath. In order to support applications which might have been developed according to the old behaviour we are providing a compatibility switch. This switch will be deprecated 9.0.0.0 in future releases.

  Parameters:
    `enable` - The new acceptContextPathInGetRealPath value
  See Also:
    `isAcceptContextPathInGetRealPath()`
  Default value:
    false

### setAuthCookieEnabled

    public void setAuthCookieEnabled(boolean enable)

  Sets the value of the isAuthCookieEnabled attribute.

  Enables use of additional secure AuthCookie to make access to https pages with security constraints more secure. The session cookie will not be sufficient to gain access.

  For domain wide defaults use WebAppContainerMBean.

  See Also:
    `WebAppContainerMBean.isAuthCookieEnabled()`, `isAuthCookieEnabled()`
  Default value:
    true
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setCharsets

    public void setCharsets(Map charsets)
                     throws InvalidAttributeValueException

  Sets the value of the Charsets attribute.

  Parameters:
    `charsets` - The new charsets value
  Throws:
    `InvalidAttributeValueException`
  Default value:
    null
  A dynamic MBean attribute.

### setChunkedTransferDisabled

    public void setChunkedTransferDisabled(boolean disable)

  Sets the value of the isChunkedTransferDisabled attribute.

  Disables the use of Chunk Transfer-Encoding in HTTP/1.1

  Parameters:
    `disable` - The new chunkedTransferDisabled value
  See Also:
    `isChunkedTransferDisabled()`
  Default value:
    false
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setDefaultWebApp

    public void setDefaultWebApp(WebAppComponentMBean defaultWebApp)

  Sets the value of the defaultWebApp attribute.

  Servlet 2.3 Web Application that maps to the "default" servlet context (where ContextPath = "/"). This param has been deprecated 9.0.0.0 starting from 8.1 release. Set context-root="" instead in weblogic.xml or application.xml. Alternatively, use setDefaultWebAppDeployment()

  Parameters:
    `defaultWebApp` -
  See Also:
    `getDefaultWebApp()`

### setDefaultWebAppContextRoot

    public void setDefaultWebAppContextRoot(String webappContextRoot)

  Sets the value of the defaultWebAppContextRoot attribute. The container will match the context-root during deployment and deploy the given webapp as the default webapp (with context-root=""). Alternatively, you can use the context-root attributes in application.xml or weblogic.xml to set a default webapp. The context-root for default webapp is "" (empty String)

  Parameters:
    `webappContextRoot` - : original context-root for the default webapp
  Since:
    9.0.0.0
  See Also:
    `getDefaultWebAppContextRoot()`

### setFrontendHost

    public void setFrontendHost(String hostName)
                         throws InvalidAttributeValueException

  Sets the value of the frontendHost attribute.

  Parameters:
    `hostName` - The new frontendHost value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFrontendHost()`

### setFrontendHTTPPort

    public void setFrontendHTTPPort(int httpPort)
                             throws InvalidAttributeValueException

  Sets the value of the frontendHTTPPort attribute.

  Parameters:
    `httpPort` - The new frontendHTTPPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFrontendHTTPPort()`

### setFrontendHTTPSPort

    public void setFrontendHTTPSPort(int httpsPort)
                              throws InvalidAttributeValueException

  Sets the value of the frontendHTTPSPort attribute.

  Parameters:
    `httpsPort` - The new frontendHTTPSPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFrontendHTTPSPort()`

### setHttpsKeepAliveSecs

    public void setHttpsKeepAliveSecs(int secs)
                               throws InvalidAttributeValueException

  Sets the value of the httpsKeepAliveSecs attribute.

  Parameters:
    `secs` - The new httpsKeepAliveSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getHttpsKeepAliveSecs()`

### setKeepAliveEnabled

    public void setKeepAliveEnabled(boolean enabled)

  Sets the value of the keepAliveEnabled attribute.

  Parameters:
    `enabled` - The new keepAliveEnabled value
  See Also:
    `isKeepAliveEnabled()`
  Default value:
    true
  A dynamic MBean attribute.

### setKeepAliveSecs

    public void setKeepAliveSecs(int secs)
                          throws InvalidAttributeValueException

  Sets the value of the keepAliveSecs attribute.

  Parameters:
    `secs` - The new keepAliveSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getKeepAliveSecs()`

### setLogFileBufferKBytes

    public void setLogFileBufferKBytes(int kbytes)
                                throws InvalidAttributeValueException

  Sets the value of the logFileBufferKBytes attribute.

  The maximum size (in kilobytes) of the buffer that stores HTTP requests. When the buffer reaches this size, the server writes the data to the HTTP log file. Use the `LogFileFlushSecs` property to determine the frequency with which the server checks the size of the buffer.

  Parameters:
    `kbytes` - The new logFileBufferKBytes value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLogFileBufferKBytes()`
  Default value:
    8
  Minimum value:
    0
  Maximum value:
    1024
  A configurable MBean attribute.

### setLogFileCount

    public void setLogFileCount(int value)
                         throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Use getWebServerLog().setFileCount()

  Sets the value of the LogFileCount attribute.

  Parameters:
    `value` -
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLogFileCount()`

### setLogFileFlushSecs

    public void setLogFileFlushSecs(int secs)
                             throws InvalidAttributeValueException

  Sets the value of the logFileFlushSecs attribute.

  Parameters:
    `secs` - The new logFileFlushSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLogFileFlushSecs()`

### setLogFileFormat

    public void setLogFileFormat(String format)
                          throws InvalidAttributeValueException,
                                 weblogic.management.DistributedManagementException

  Deprecated. 9.0.0.0 Use getWebServerLog().setLogFileFormat().

  Sets the value of the logFileFormat attribute.

  Parameters:
    `format` - The new logFileFormat value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getLogFileFormat()`

### setLogFileLimitEnabled

    public void setLogFileLimitEnabled(boolean value)
                                throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Use getWebServerLog().setNumberOfFilesLimited()

  Sets the value of the LogFileLimitEnabled attribute.

  Parameters:
    `value` -
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isLogFileLimitEnabled()`

### setLogFileName

    public void setLogFileName(String fileName)
                        throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Use getWebServerLog().setFileName()

  Sets the value of the logFileName attribute.

  Parameters:
    `fileName` - The new logFileName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLogFileName()`

### setLoggingEnabled

    public void setLoggingEnabled(boolean enable)

  Deprecated. 9.0.0.0 Use getWebServerLog().setLoggingEnabled().

  Sets the value of the loggingEnabled attribute.

  Parameters:
    `enable` - The new loggingEnabled value
  See Also:
    `isLoggingEnabled()`
  Default value:
    true
  A configurable MBean attribute.

### setLogRotationPeriodMins

    public void setLogRotationPeriodMins(int mins)
                                  throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Use getWebServerLog().setFileTimeSpan() (hours)

  Sets the value of the logRotationPeriodMins attribute.

  Parameters:
    `mins` - The new logRotationPeriodMins value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLogRotationPeriodMins()`

### setLogRotationTimeBegin

    public void setLogRotationTimeBegin(String when)
                                 throws InvalidAttributeValueException

  Sets the value of the logRotationTimeBegin attribute.

  Determines the start time for a time-based rotation sequence. At the time that this value specifies, the server renames the current log file. Thereafter, the server renames the log file at an interval that you specify in `LogRotationPeriodMins`.

  Use the following format: `MM-dd-yyyy-k:mm:ss` where

  - `MM`

    is the month as expressed in the Gregorian calendar

  - `dd`

    is the day of the month

  - `yyyy`

    is the year

  - `k`

    is the hour in a 24-hour format.

  - `mm`

    is the minute

  - `ss`

    is the second

  If the time that you specify has already past, then the server starts its file rotation immediately.

  By default, rotation starts 24 hours from the time that you restart the server instance.

  Parameters:
    `when` - The new logRotationTimeBegin value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLogRotationTimeBegin()`
  A configurable MBean attribute.

### setLogRotationType

    public void setLogRotationType(String type)
                            throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Use getWebServerLog().setRotationType()

  Sets the value of the logRotationType attribute.

  Parameters:
    `type` - The new logRotationType value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLogRotationType()`

### setLogTimeInGMT

    public void setLogTimeInGMT(boolean useGMT)

  Deprecated. 9.0.0.0 Use getWebServerLog().setLogTimeInGMT().

  Sets the value of the logTimeInGMT attribute.

  Parameters:
    `useGMT` - The new logTimeInGMT value
  See Also:
    `getLogTimeInGMT()`

### setMaxLogFileSizeKBytes

    public void setMaxLogFileSizeKBytes(int kbytes)
                                 throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Use getWebServerLog().setFileMinSize()

  Sets the value of the maxLogFileSizeKBytes attribute.

  The size that triggers the server to move log messages to a separate file. After the log file reaches the specified size, the next time the server checks the file size, it will rename the current log file as `FileName.n` and create a new one to store subsequent messages.

  This property is relevant only if you choose to rotate files by `size`.

  Parameters:
    `kbytes` - The new maxLogFileSizeKBytes value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxLogFileSizeKBytes()`

### setMaxPostSize

    public void setMaxPostSize(int bytes)
                        throws InvalidAttributeValueException

  Sets the value of the maxPostSize attribute.

  Max Post Size (in bytes) for reading HTTP POST data in a servlet request. MaxPostSize < 0 means unlimited

  Parameters:
    `bytes` - The new maxPostSize value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `WebAppContainerMBean.setMaxPostSize(int)`, `getMaxPostSize()`
  Default value:
    -1
  A dynamic MBean attribute.

### setMaxPostTimeSecs

    public void setMaxPostTimeSecs(int secs)
                            throws InvalidAttributeValueException

  Sets the value of the maxPostTimeSecs attribute.

  Max Post Time (in seconds) for reading HTTP POST data in a servlet request. MaxPostTime < 0 means unlimited

  Parameters:
    `secs` - The new maxPostTimeSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `WebAppContainerMBean.setMaxPostTimeSecs(int)`, `getMaxPostTimeSecs()`
  Default value:
    -1
  A dynamic MBean attribute.

### setOverloadResponseCode

    public void setOverloadResponseCode(int code)

  Set the response code to be used when an application is overloaded. An application can get overloaded when the number of pending requests has reached the max capacity specified in the WorkManager or when the server is low on memory. The low memory condition is determined using `OverloadProtectionMBean.getFreeMemoryPercentLowThreshold()`.

  See Also:
    `CapacityMBean`, `OverloadProtectionMBean`
  Default value:
    javax.servlet.http.HttpServletResponse.SC_SERVICE_UNAVAILABLE
  Minimum value:
    100
  Maximum value:
    599
  A configurable MBean attribute.

### setPostTimeoutSecs

    public void setPostTimeoutSecs(int secs)
                            throws InvalidAttributeValueException

  Sets the value of the postTimeoutSecs attribute.

  Timeout (in seconds) for reading HTTP POST data in a servlet request.

  Parameters:
    `secs` - The new postTimeoutSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxPostTimeSecs()`
  Default value:
    30
  Minimum value:
    0
  Maximum value:
    120
  A dynamic MBean attribute.

### setSendServerHeaderEnabled

    public void setSendServerHeaderEnabled(boolean enabled)

  Sets the value of the isSendServerHeaderEnabled attribute.

  Determines whether this server instance includes its name and WebLogic Server version number in HTTP response headers. Providing this information poses a potential security risk if an attacker knows about some vulnerability in a specific version of WebLogic Server.

  Parameters:
    `enabled` - The new sendServerHeaderEnabled value
  See Also:
    `isSendServerHeaderEnabled()`
  Default value:
    false
  A dynamic MBean attribute.

### setSingleSignonDisabled

    public void setSingleSignonDisabled(boolean disable)

  Disables SingleSignon in webapps

  Parameters:
    `disable` - The new singleSignonDisabled value
  Default value:
    false
  A dynamic MBean attribute.

### setURLResource

    public void setURLResource(Map resource)
                        throws InvalidAttributeValueException

  Sets the value of the uRLResource attribute.

  Parameters:
    `resource` - The new uRLResource value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getURLResource()`
  Default value:
    null
  A dynamic MBean attribute.

### setUseHeaderEncoding

    public void setUseHeaderEncoding(boolean disable)

  Sets the value of the isUseHeaderEncoding attribute.

  Enables use of Content-Type encoding for specific headers that are known to contain non-ISO-8859_1 characters.

  See Also:
    `isUseHeaderEncoding()`
  Default value:
    false
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setUseHighestCompatibleHTTPVersion

    public void setUseHighestCompatibleHTTPVersion(boolean disable)

  Sets the value of the isUseHighestCompatibleHTTPVersion attribute.

  Enables use of the highest compatible HTTP protocol version-string in the response. E.g. HTTP spec suggests that HTTP/1.1 version-string should be used in response to a request using HTTP/1.0. This does not necessarily affect the response format.

  Parameters:
    `disable` - The new useHighestCompatibleHTTPVersion value
  See Also:
    `isUseHighestCompatibleHTTPVersion()`
  Default value:
    true
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setWAPEnabled

    public void setWAPEnabled(boolean enable)

  Sets the value of the IsWAPEnabled attribute.

  Parameters:
    `enable` - The new WAPEnabled value
  See Also:
    `WebAppContainerMBean.setWAPEnabled(boolean)`, `isWAPEnabled()`
  Default value:
    false
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD